<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
export default {
  data() {

  },
  async asyncData({app, $services, $links}){
    var i18n = app.i18n
    return {
          posts: [
          {
          thread: false,
          header: {
            text: i18n.t("Research Labs"),
            avatar: require("~/assets/images/home-page/avatar-lab.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("What's coming next to THORChain?")] },
            {type: 'table-links', links: [
              {text: i18n.t("Protocol Owned Liquidity (POL)"), link: $links('research_labs_twitter_protocol_owned_liquidity')},
              {text: i18n.t("Protocol Insurance Fund"), link: $links('research_labs_gitlab_protocol_insurance_fund')},
              {text: i18n.t("Vault Nodes"), link: $links('research_labs_gitlab_vault_nodes')},
              {text: i18n.t("Lending Model"), link: $links('research_labs_thorchain_gitlab_lending_model')},
              {text: i18n.t("Composite Model"), link: $links('research_labs_thorchain_gitlab_composite_model')}
            ]}
          ],
          endLine: false,
        },
      ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
